| OpenSubdiv

Loading...
Searching...
No Matches
Classes | Namespaces
topologyRefinerFactory.h File Reference
`#include "../version.h"`
`#include "../far/topologyRefiner.h"`
`#include "../far/error.h"`
`#include <cassert>`

Go to the source code of this file.

## Classes
class | TopologyRefinerFactoryBase
| Private base class of Factories for constructing TopologyRefiners. More...
class | TopologyRefinerFactory< MESH >
| Factory for constructing TopologyRefiners from specific mesh classes. More...
struct | TopologyRefinerFactory< MESH >::Options
| Options related to the construction of each TopologyRefiner. More...

## Namespaces
namespace | OpenSubdiv
namespace | OpenSubdiv::OPENSUBDIV_VERSION
namespace | OpenSubdiv::OPENSUBDIV_VERSION::Far